App\Soap\dealertrack\src\CustomerSearchResult\ResultAType:
    properties:
        companyNumber:
            expose: true
            access_type: public_method
            serialized_name: CompanyNumber
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getCompanyNumber
                setter: setCompanyNumber
            type: string
        customerNumber:
            expose: true
            access_type: public_method
            serialized_name: CustomerNumber
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getCustomerNumber
                setter: setCustomerNumber
            type: int
        cCID:
            expose: true
            access_type: public_method
            serialized_name: CCID
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getCCID
                setter: setCCID
            type: string
        entityType:
            expose: true
            access_type: public_method
            serialized_name: EntityType
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getEntityType
                setter: setEntityType
            type: string
        lastName:
            expose: true
            access_type: public_method
            serialized_name: LastName
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getLastName
                setter: setLastName
            type: string
        firstName:
            expose: true
            access_type: public_method
            serialized_name: FirstName
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getFirstName
                setter: setFirstName
            type: string
        middleName:
            expose: true
            access_type: public_method
            serialized_name: MiddleName
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getMiddleName
                setter: setMiddleName
            type: string
        salutation:
            expose: true
            access_type: public_method
            serialized_name: Salutation
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getSalutation
                setter: setSalutation
            type: string
        address1:
            expose: true
            access_type: public_method
            serialized_name: Address1
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getAddress1
                setter: setAddress1
            type: string
        city:
            expose: true
            access_type: public_method
            serialized_name: City
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getCity
                setter: setCity
            type: string
        state:
            expose: true
            access_type: public_method
            serialized_name: State
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getState
                setter: setState
            type: string
        zipCode:
            expose: true
            access_type: public_method
            serialized_name: ZipCode
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getZipCode
                setter: setZipCode
            type: int
        county:
            expose: true
            access_type: public_method
            serialized_name: County
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getCounty
                setter: setCounty
            type: string
        homePhone:
            expose: true
            access_type: public_method
            serialized_name: HomePhone
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getHomePhone
                setter: setHomePhone
            type: int
        cellPhone:
            expose: true
            access_type: public_method
            serialized_name: CellPhone
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getCellPhone
                setter: setCellPhone
            type: string
        businessPhone:
            expose: true
            access_type: public_method
            serialized_name: BusinessPhone
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getBusinessPhone
                setter: setBusinessPhone
            type: int
        businessPhoneExt:
            expose: true
            access_type: public_method
            serialized_name: BusinessPhoneExt
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getBusinessPhoneExt
                setter: setBusinessPhoneExt
            type: int
        faxPhone:
            expose: true
            access_type: public_method
            serialized_name: FaxPhone
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getFaxPhone
                setter: setFaxPhone
            type: int
        email1:
            expose: true
            access_type: public_method
            serialized_name: Email1
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getEmail1
                setter: setEmail1
            type: string
        email2:
            expose: true
            access_type: public_method
            serialized_name: Email2
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getEmail2
                setter: setEmail2
            type: string
        vehicles:
            expose: true
            access_type: public_method
            serialized_name: Vehicles
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getVehicles
                setter: setVehicles
            type: array<string>
            xml_list:
                inline: false
                entry_name: VIN
                skip_when_empty: false
                namespace: opentrack.dealertrack.com/transitional
        cCCD:
            expose: true
            access_type: public_method
            serialized_name: CCCD
            xml_element:
                namespace: opentrack.dealertrack.com/transitional
            accessor:
                getter: getCCCD
                setter: setCCCD
            type: int
